Subject: Re: [Mipshop] WG Consensus call on AAA based handover keys for FMIPv6

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 23 Apr 2007 09:25:31 -0700 (PDT)

I support developing an AAA based handover keying mechanism (is this Hokey?) for FMIPv6.

Behcet

----- Original Message ----
From: Vijay Devarapalli <[email-masked]>
To: [email-masked]
Sent: Sunday, April 22, 2007 10:35:05 PM
Subject: [Mipshop] WG Consensus call on AAA based handover keys for FMIPv6

Hello folks,

Progressing FMIPv6 to Proposed Standard requires a mechanism to setup
security associations between the mobile node and the access router
dynamically. Currently our charter says we will develop two mechanisms
for this, one based on using Secure Neighbor Discovery between the
mobile node and the access router and one based on the AAA
infrastructure.

We have already adopted draft-ietf-mipshop-handover-key as a WG document
for the mechanism based on SeND. This is sufficient for advancing FMIPv6
as a proposed standard.

However, it is unknown whether SeND will always be available on access 
networks where FMIPv6 is likely to be deployed. At the same time a AAA
infrastructure is likely to be used in deployments where FMIPv6 is used.
So it would be good to develop a mechanism that leverages the AAA
infrastructure and sets up security associations between the mobile node
and the access router dynamically. Note that any mechanism we develop is
likely to require extensions to the AAA infrastructure/protocols to
support the handover keying mechanism.

So we would like to check if the WG still wants to develop a AAA based
handover keying mechanism for FMIPv6. So please reply to this email on 
whether you think such a mechanism needs to be developed by the MIPSHOP
WG. Please respond by April 30. This is a short one-week consensus call
since we need to re-charter pretty soon.

Note that this *NOT* a consensus call on adopting any particular draft.
That will follow once we decide to go ahead with this work item.

Chairs
MIPSHOP WG

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

---

From: Sam Xia <[email-masked]>
Date: Tue, 24 Apr 2007 10:18:50 +0800

hi, folks,
 AAA architecture is deployed very widely. I think AAA-based SA between MN
and access router should be supported.
> 
> Message: 1
> Date: Sun, 22 Apr 2007 20:35:05 -0700
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=ISO-8859-1; format=flowed
> 
> Hello folks,
> 
> Progressing FMIPv6 to Proposed Standard requires a mechanism 
> to setup security associations between the mobile node and 
> the access router dynamically. Currently our charter says we 
> will develop two mechanisms for this, one based on using 
> Secure Neighbor Discovery between the mobile node and the 
> access router and one based on the AAA infrastructure.
> 
> We have already adopted draft-ietf-mipshop-handover-key as a 
> WG document for the mechanism based on SeND. This is 
> sufficient for advancing FMIPv6 as a proposed standard.
> 
> However, it is unknown whether SeND will always be available 
> on access networks where FMIPv6 is likely to be deployed. At 
> the same time a AAA infrastructure is likely to be used in 
> deployments where FMIPv6 is used.
> So it would be good to develop a mechanism that leverages the 
> AAA infrastructure and sets up security associations between 
> the mobile node and the access router dynamically. Note that 
> any mechanism we develop is likely to require extensions to 
> the AAA infrastructure/protocols to support the handover 
> keying mechanism.
> 
> So we would like to check if the WG still wants to develop a 
> AAA based handover keying mechanism for FMIPv6. So please 
> reply to this email on whether you think such a mechanism 
> needs to be developed by the MIPSHOP WG. Please respond by 
> April 30. This is a short one-week consensus call since we 
> need to re-charter pretty soon.
>